package sk.upjs.js;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
public class StudentActions {
	@Autowired
	private Database database;
	
	@RequestMapping("/deleteStudent.do")
	public String delete(Integer studentId) {
		database.removeStudent(new Student(studentId));
		return "redirect:listStudents.do";
	}
	
	@RequestMapping("/advanceStudent.do")
	public String advance(Integer studentId) {
		Student student = database.findById(studentId);
		student.setRocnik(student.getRocnik() + 1);
		database.saveOrUpdate(student);
		return "redirect:listStudents.do";
	}

}
